//
//LandingView...contains NavigationView/Links to other pages
//  ContentView.swift
//  testiOS
//
//  Created by Easten Wember on 3/29/22.
//

import SwiftUI
import HealthKit //get access to HKWorkoutActivityType
import UserNotifications //give access to local notifications


import SwiftUI
 
struct LandingView: View {
    var body: some View {
        NavigationView{
            VStack{
                
                NavigationLink(destination: StatsView()){
                    Text("Your Health Data")
                        .foregroundColor(Color.black)
                        .frame(width: 200, height: 200, alignment: .center)
                        .background(
                            RadialGradient(gradient: Gradient(
                                colors: [Color.white, Color.blue.opacity(0.5), Color.cyan.opacity(0.5), Color.indigo.opacity(0.5)]),
                                                   center: .center,
                                                   startRadius: 5,
                                                   endRadius: 250))
                        .cornerRadius(100)
                        .shadow(color: .gray, radius: 5, x: 1 , y: 1)
                } //end button to StatsView
                
                NavigationLink(destination: StressTipsView()){
                    Text("Stress Tips")
                        .foregroundColor(Color.black)
                        .frame(width: 200, height: 200, alignment: .center)
                        .background( RadialGradient(gradient: Gradient(
                            colors: [Color.white, Color.blue.opacity(0.5), Color.cyan.opacity(0.5), Color.indigo.opacity(0.5)]),
                                               center: .center,
                                               startRadius: 5,
                                               endRadius: 250))

                        .cornerRadius(100)
                        .shadow(color: .gray, radius: 5, x: 1 , y: 1)
                } //end button to StressTipsView
            }.navigationTitle("Stress Application")
                .foregroundColor(Color.orange)
                
        }
    }
}
 
struct LandingView_Previews: PreviewProvider {
    static var previews: some View {
        LandingView()
    }
}

