//
//  StatsView.swift
//  testiOS
//
//  Created by Easten Wember on 4/9/22.
//

import SwiftUI
import HealthKit //get access to HKWorkoutActivityType
import UserNotifications //give access to local notifications



struct StatsView: View {
    @EnvironmentObject var workoutManager: WorkoutManager //WorkoutManager obj to use fcns
        //self.workoutManager.getLatestHR()

    var body: some View {

        ScrollView{
            VStack{
                Text("Heart Rate")
                    .font(.title2)
                    //.foregroundColor(Color.red)
                
                HStack{
                    Text(workoutManager.theHR.formatted(.number.precision(.fractionLength(0))) + " bpm")
                        .foregroundColor(Color.indigo)
                
                    Image(systemName: "heart")
                        .foregroundColor(.indigo) //want this to be inline with bpm
                } //HStack displaying hr + heart
                
                Spacer()
                    .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)
                
                VStack{
                    Text("Last Query Time (with updated data): ")
                    Text(workoutManager.theDateString)
                } //VStack displaying query time + date
                
                Spacer()
                    .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)
                
                Divider()
            }//end VStack for HR + Query Display
            
            Spacer()
                .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)
            
            VStack{
                Text("Previous Heart Rates:")
                    .font(.title2)
                
                HStack{
                    Text("HR >= 95.0")
                        .foregroundColor(Color.red)
                    
                    Divider()
                    
                    Text("60.0 <= HR <= 75.0")
                        .foregroundColor(Color.blue)
                }//end HStack for color label
                
                
                Spacer()
                    .frame( maxWidth: .infinity,  minHeight: 30, alignment: .top)

                //hr [0]
                HStack{
                    if(workoutManager.hrarr[0] != 0){
                        if(workoutManager.hrarr[0] >= 95.0){ //high hr, make it red
                            Text(workoutManager.hrarr[0].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.red)
                            
                        }
                        else if(workoutManager.hrarr[0] <=  75.0 && workoutManager.hrarr[0] >= 60.0 ){ //calm blue hr
                            Text(workoutManager.hrarr[0].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.blue)
                        }
                        else{ //normal hr
                            Text(workoutManager.hrarr[0].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.black)

                        }
                        Divider()
                        Text(workoutManager.hrtimes[0]) //display time of query [0]

                    } //end display of first HR in array
                }//end HStack fist HR in array
                
                
                //hr [1]
                HStack{
                    if(workoutManager.hrarr[1] != 0){
                        if(workoutManager.hrarr[1] >= 95.0){ //high hr, make it red
                            Text(workoutManager.hrarr[1].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.red)
                        }
                        else if(workoutManager.hrarr[1] <=  75.0 && workoutManager.hrarr[1] >= 60.0 ){ //calm blue hr
                            Text(workoutManager.hrarr[1].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.blue)
                        }
                        else{ //normal hr
                            Text(workoutManager.hrarr[1].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.black)

                        }
                        Divider()
                            .opacity(100.0)
                        Text(workoutManager.hrtimes[1])

                        
                    } //end display of 2nd HR in array
                } //end HStack 2nd HR in array
                
                
                //hr [2]
                HStack{
                    if(workoutManager.hrarr[2] != 0){
                        if(workoutManager.hrarr[2] >= 95.0){ //high hr, make it red
                            Text(workoutManager.hrarr[2].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.red)
                        }
                        else if(workoutManager.hrarr[2] <=  75.0 && workoutManager.hrarr[2] >= 60.0 ){ //calm blue hr
                            Text(workoutManager.hrarr[2].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.blue)
                        }
                        else{ //normal hr
                            Text(workoutManager.hrarr[2].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.black)
                        }
                        Divider()
                            .opacity(100.0)
                        Text(workoutManager.hrtimes[2])

                    } //end display of 3rd HR in array
                }//end HStack 3rd hr in array
                
                
                //hr [3]
                HStack{
                    if(workoutManager.hrarr[3] != 0){
                        if(workoutManager.hrarr[3] >= 95.0){ //high hr, make it red
                            Text(workoutManager.hrarr[3].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.red)
                        }
                        else if(workoutManager.hrarr[3] <=  75.0 && workoutManager.hrarr[0] >= 60.0 ){ //calm blue hr
                            Text(workoutManager.hrarr[3].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.blue)
                        }
                        else{ //normal hr
                            Text(workoutManager.hrarr[3].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.black)
                        }
                        Divider()
                            .opacity(100.0)
                        Text(workoutManager.hrtimes[3])
                        
                    } //end display of 4th HR in array
                }//end HStack 4th hr in array
                
                
                
                //hr [4]
                HStack{
                    if(workoutManager.hrarr[4] != 0){
                        if(workoutManager.hrarr[4] >= 95.0){ //high hr, make it red
                            Text(workoutManager.hrarr[4].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.red)
                        }
                        else if(workoutManager.hrarr[4] <=  75.0 && workoutManager.hrarr[0] >= 60.0 ){ //calm blue hr
                            Text(workoutManager.hrarr[4].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.blue)
                        }
                        else{ //normal hr
                            Text(workoutManager.hrarr[4].formatted(.number.precision(.fractionLength(0))) + " bpm")
                                .foregroundColor(Color.black)

                        }
                        Divider()
                            .opacity(100.0)
                        Text(workoutManager.hrtimes[4])

                    } //end display of 5th HR in array
                }//end HStack 5th hr in array
                

            }//end VS stack for past HRs
            Spacer()
                .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)
            
            Divider()
            Spacer()
                .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)
            
            VStack{
                Text("Resting Heart Rate:")
                    .font(.title2)
                HStack{
                    Text(workoutManager.restingHeartRate.formatted(.number.precision(.fractionLength(0))) + " bpm")
                        .foregroundColor(Color.indigo)
                    
                    Divider()
                    
                    Text(workoutManager.theRestingString)
                }//end HStack restinghr
                
            } // end VStack resting HR
            

            
        }//endscrollview
        
    }//end body
    
  
}

struct StatsView_Previews: PreviewProvider {
    static var previews: some View {
        StatsView()
//        LandingView().environmentObject(WorkoutManager()) //added this latter bit...unsure if needed
    }
}
