//
//  StressTips.swift
//  testiOS
//
//  Created by Easten Wember on 3/29/22.
//

import SwiftUI

struct StressTipsView: View {
    var body: some View {
        
        ScrollView{
            
            VStack {
                Rectangle()
                    .frame(minWidth: 0, maxWidth: .infinity, minHeight: 100, alignment: .center)
                    .foregroundColor(Color.gray)
                Text("Stress Tips")
                    //.fontWeight(.light)
                    .multilineTextAlignment(.center)
                    //.frame(minWidth: 0, maxWidth: .infinity, minHeight: 100, alignment: .center)
                    .font(.title)
                    .background(Color.blue.opacity(0.8))
                    .foregroundColor(Color.black)
                
            }//end stress tips + grey rectangle
            .frame(minWidth: 0, maxHeight: 400, alignment: .topLeading) //size

           //***********************************************************************//
           VStack(spacing: 0) {

                VStack {
                    Text("What to Know About Heart Rate:")
                        //.fontWeight(.light)
                        .font(.title3)
                        .frame(minWidth: 0, maxWidth: .infinity, maxHeight: 50)
                        .padding(EdgeInsets.init(top: 0, leading: 0, bottom: 0, trailing: 0))
                        .foregroundColor(Color.black)
                        .background(Color.blue.opacity(0.2))

                    Text("In the average adult, heart rate variablity (HRV) is impacted by the cyclic inhales and exhales that we take. When we exhale, our HR drops and when we inhale, our HR increases. High average heart rates are a sign of stress and anxiety.")
                        .font(.body)
                        .foregroundColor(Color.black)
                        .fixedSize(horizontal: false, vertical: true)//allow wrapping
                        .background(Color.blue.opacity(0.2))
                        .lineSpacing(5.0)
                    
                    Spacer()
                        .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)
                        //.frame(width: .infinity, height: 20, alignment: .top)
                    Divider()
                    Spacer()
                        .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)
                        //.frame(width: .infinity, height: 20, alignment: .top)
                }//end Vstack for HR about
               //***********************************************************************//
               VStack{
                   Text("High Heart Rate Tips:")
                       .font(.title2)
                       .padding()
                       .frame(minWidth: 0, maxWidth: .infinity, maxHeight: 50)
                       .foregroundColor(Color.black)
                       .background(Color.blue.opacity(0.3))
                       .fixedSize(horizontal: false, vertical: true)//allow wrapping
                   
                   List{
                       Text("Meditate and try breathing exercises.")
                       Text("Try taking a warm shower or bath.")
                       Text("Go for a gentle walk.")
                       Text("Stay hydrated.")
                       Text("Regular exercise.")
                   }
                   .frame(height: 250) //need this since list has own scroll and is in scroll view
                   .background(Color.gray)
                   
                   Spacer()
                       //.frame(width: .infinity, height: 20, alignment: .top)
                       .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)
                   Divider()
                   Spacer()
                       //.frame(width: .infinity, height: 20, alignment: .top)
                       .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)

            
               }//end VStack movement tips
               //***********************************************************************//

                VStack{
                    Text("What to Know About Movement:")
                        //.fontWeight(.light)
                        .font(.title2)
                        .padding()
                        .frame(minWidth: 0, maxWidth: .infinity, maxHeight: 50)
                        .foregroundColor(Color.black)
                        .background(Color.blue.opacity(0.4))
                        .fixedSize(horizontal: false, vertical: true)//allow wrapping
                    
                    Text("Remaining stationary for long periods of time is bad for our health. While in resting positions our muscles are not using glucose, the body's main energy source. ")
                        .font(.body)
                        .foregroundColor(Color.black)
                        .fixedSize(horizontal: false, vertical: true)//allow wrapping
                        .background(Color.blue.opacity(0.5))
                        .lineSpacing(5.0)
                    
                    Spacer()
                        .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)
                        //.frame(width: .infinity, height: 20, alignment: .top)
                    Divider()
                    Spacer()
                        .frame( maxWidth: .infinity,  minHeight: 20, alignment: .top)
                        //.frame(width: .infinity, height: 20, alignment: .top)
                }//end VStack movememnt about
               //***********************************************************************//
               VStack{
                   Text("Movement Tips:")
                       .font(.title2)
                       .padding()
                       .frame(minWidth: 0, maxWidth: .infinity, maxHeight: 50)
                       .foregroundColor(Color.black)
                       .background(Color.blue.opacity(0.6))
                       .fixedSize(horizontal: false, vertical: true)//allow wrapping
                   
                   List{
                       Text("Move around for at least three minutes every hour.")
                       Text("Try stretching or yoga.")
                       Text("Use the stairs instead of the elevator.")
                       Text("Pace or walk around during phone calls or watching TV.")
                       Text("Take the long way! Get extra steps in by parking further away.")
                   }
                   .frame(height: 250) //need this since list has own scroll and is in scroll view
                   .background(Color.gray)
            
               }//end VStack movement tips
                    

               
            }//end vstack
            //.foregroundColor(Color.black.opacity(0.7))
            .padding()
            .frame(minWidth: 0, maxWidth: .infinity, minHeight: 0, maxHeight: .infinity, alignment: .leading)
            .offset(x: 0, y: 0)

        }//end scroll view
        .frame(minWidth: 0, maxWidth: .infinity, minHeight: 0, maxHeight: .infinity, alignment: .leading)
        .background(Color.white.opacity(1.0))
        .edgesIgnoringSafeArea(.all)


    }//end body view
    
}//end view

struct StressTips_Previews: PreviewProvider {
    static var previews: some View {
        StressTipsView()
    }
}
