//
//  testiOSApp.swift
//  testiOS
//
//  Created by Easten Wember on 3/29/22.
//

import SwiftUI
@main
struct testiOSApp: App {
    //want all views to have access to WorkoutManager...workoutManager becomes environmental Object
    @StateObject private var workoutManager = WorkoutManager()

    //limited by how often health kit updates itself, not that we cant grab, just that it doesnt happen as frequently as we would want
    //make a button that on click returns/updates hr of user...that way can control interval of HR query updates
    
    @SceneBuilder var body: some Scene {
        
        WindowGroup {
            //30 second interval since the HR doesnt get updated frequently...have to wait 30 sec for first initial HR to show
            let timer = Timer.publish(every: 30.0, on: .main, in: .common).autoconnect() //timer instance goes off every 30 second

            LandingView()
            //when a NavigationView is assigned an environmentObject, it automatically passes the environment onkect into views heirarchy
            .environmentObject(workoutManager) //environmentObject view modifer...gets binded to envobj in LandingView?...unsure if need
            .onAppear(){
                //timerHR() //call this right away because timer waits 30 secs, want data there right away
                workoutManager.requestAuthorization() //request permissions from the user
                //workoutManager.heartRateNotification() //attempt to notify user on HR comparison.. doesnt work </3
                //workoutManager.getRestHR() //create query for resting heart rate

            }
            .onReceive(timer, perform: { _ in //when landingView call received, timer is called fcn to perform is timerHR
                print("in onReceive")
                timerHR()
                
            })//end on recieve timer
            
            
        }//end windowgroup
        
    }//end body
        
    func timerHR(){ //gets called by timer every 30 sec
        print("here in timerHR fcn...onto getLatestHR fnc in workoutManager")
        workoutManager.requestAuthorization() //request permissions from the user...unsure if needed every time for query?
        workoutManager.getLatestHR()
        workoutManager.getRestHR()
        //workoutManager.hrQuery(quantityTypeIdentifier: .heartRate)
    }
    
}
